| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Configurable::ConfigurableService Class Reference

Inheritance diagram for Configurable::ConfigurableService:

[legend]
Collaboration diagram for Configurable::ConfigurableService:

[legend]

List of all members.

## Detailed Description

Definition at line 981 of file Configurable.py.

## Public Member Functions
def | __deepcopy__
def | copyChild
def | getHandle
def | getGaudiType
def | getGaudiHandle
def | toStringProperty
## Static Private Attributes
dictionary | __slots__

## Member Function Documentation

def Configurable::ConfigurableService::__deepcopy__ | ( |  | self,
|  |  | memo |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 985 of file Configurable.py.

    00985                                   :
    00986         return self                 # services are always shared
    00987
        def copyChild( self, child ):

def Configurable::ConfigurableService::copyChild | ( |  | self,
|  |  | child |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 988 of file Configurable.py.

    00988                                 :
    00989         return child                # full sharing
    00990
        def getHandle( self ):

def Configurable::ConfigurableService::getHandle | ( |  | self | ) |

Definition at line 991 of file Configurable.py.

    00991                          :
    00992         return iService( self._name )
    00993
        def getGaudiType( self ):

def Configurable::ConfigurableService::getGaudiType | ( |  | self | ) |

Definition at line 994 of file Configurable.py.

    00994                             :
    00995         return 'Service'
    00996
        def getGaudiHandle( self ):

def Configurable::ConfigurableService::getGaudiHandle | ( |  | self | ) |

Definition at line 997 of file Configurable.py.

    00997                               :
    00998         return ServiceHandle( self.toStringProperty() )
    00999
        def toStringProperty( self ):

def Configurable::ConfigurableService::toStringProperty | ( |  | self | ) |

Definition at line 1000 of file Configurable.py.

    01000                                 :
    01001         # called on conversion to a string property for the jocat
    01002         return self.getName()
    01003
    01004
    class ConfigurableAlgTool( Configurable ):

## Member Data Documentation

dictionary Configurable::ConfigurableService::__slots__`[static, private]`

Initial value:

    { 'OutputLevel' : 0, \
           'AuditServices' : 0, 'AuditInitialize' : 0, 'AuditFinalize' : 0 }

Reimplemented from Configurable::Configurable.

Definition at line 982 of file Configurable.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/Configurable.py